---
issues:
- subscriptions
- award_emoji
- author
- assignees
- updated_by
- milestone
- notes
- resource_label_events
- label_links
- labels
- last_edited_by
- todos
- user_agent_detail
- moved_to
- duplicated_to
- events
- merge_requests_closing_issues
- metrics
- timelogs
- issue_assignees
- closed_by
- epic_issue
- epic
- designs
- design_versions
- description_versions
- prometheus_alerts
- prometheus_alert_events
- self_managed_prometheus_alert_events
events:
- author
- project
- group
- target
- push_event_payload
notes:
- award_emoji
- project
- noteable
- author
- updated_by
- last_edited_by
- resolved_by
- todos
- events
- system_note_metadata
- note_diff_file
- suggestions
- review
label_links:
- target
- label
label:
- subscriptions
- project
- lists
- label_links
- issues
- merge_requests
- priorities
milestone:
- group
- project
- issues
- labels
- merge_requests
- participants
- events
- boards
- milestone_releases
- releases
snippets:
- author
- project
- notes
- award_emoji
- user_agent_detail
releases:
- author
- project
- links
- milestone_releases
- milestones
- evidence
links:
- release
project_members:
- created_by
- user
- source
- project
merge_requests:
- subscriptions
- award_emoji
- author
- assignee
- updated_by
- milestone
- notes
- resource_label_events
- label_links
- labels
- last_edited_by
- todos
- target_project
- source_project
- merge_user
- merge_request_diffs
- merge_request_diff
- events
- merge_requests_closing_issues
- cached_closes_issues
- metrics
- timelogs
- head_pipeline
- latest_merge_request_diff
- pipelines_for_merge_request
- merge_request_assignees
- suggestions
- assignees
- reviews
- approval_rules
- approvals
- approvers
- approver_users
- approver_groups
- approved_by_users
- draft_notes
- merge_train
- blocks_as_blocker
- blocks_as_blockee
- blocking_merge_requests
- blocked_merge_requests
- description_versions
external_pull_requests:
- project
merge_request_diff:
- merge_request
- merge_request_diff_commits
- merge_request_diff_files
merge_request_diff_commits:
- merge_request_diff
merge_request_diff_files:
- merge_request_diff
ci_pipelines:
- project
- user
- stages
- statuses
- builds
- processables
- trigger_requests
- variables
- auto_canceled_by
- auto_canceled_pipelines
- auto_canceled_jobs
- pending_builds
- retryable_builds
- cancelable_statuses
- manual_actions
- scheduled_actions
- artifacts
- pipeline_schedule
- merge_requests_as_head_pipeline
- merge_request
- external_pull_request
- deployments
- environments
- chat_data
- source_pipeline
- source_bridge
- source_job
- sourced_pipelines
- triggered_by_pipeline
- triggered_pipelines
- downstream_bridges
- job_artifacts
- vulnerabilities_occurrence_pipelines
- vulnerability_findings
pipeline_variables:
- pipeline
stages:
- project
- pipeline
- statuses
- builds
- bridges
statuses:
- project
- pipeline
- stage
- user
- auto_canceled_by
variables:
- project
triggers:
- project
- trigger_requests
- owner
pipeline_schedules:
- project
- owner
- pipelines
- last_pipeline
- variables
pipeline_schedule:
- pipelines
pipeline_schedule_variables:
- pipeline_schedule
deploy_tokens:
- project_deploy_tokens
- projects
deploy_keys:
- user
- deploy_keys_projects
- projects
services:
- project
- service_hook
- jira_tracker_data
- issue_tracker_data
hooks:
- project
- web_hook_logs
protected_branches:
- project
- merge_access_levels
- push_access_levels
- unprotect_access_levels
protected_tags:
- project
- create_access_levels
merge_access_levels:
- protected_branch
- user
- group
push_access_levels:
- protected_branch
- user
- group
create_access_levels:
- user
- protected_tag
- group
container_repositories:
- project
- name
project:
- taggings
- base_tags
- tag_taggings
- tags
- chat_services
- cluster
- clusters
- cluster_project
- creator
- cycle_analytics_stages
- group
- namespace
- management_clusters
- boards
- last_event
- services
- campfire_service
- discord_service
- drone_ci_service
- emails_on_push_service
- pipelines_email_service
- mattermost_slash_commands_service
- slack_slash_commands_service
- irker_service
- packagist_service
- pivotaltracker_service
- prometheus_service
- hipchat_service
- flowdock_service
- assembla_service
- asana_service
- slack_service
- microsoft_teams_service
- mattermost_service
- hangouts_chat_service
- buildkite_service
- bamboo_service
- teamcity_service
- pushover_service
- jira_service
- redmine_service
- youtrack_service
- custom_issue_tracker_service
- bugzilla_service
- gitlab_issue_tracker_service
- external_wiki_service
- mock_ci_service
- mock_deployment_service
- mock_monitoring_service
- forked_to_members
- forked_from_project
- forks
- merge_requests
- fork_merge_requests
- issues
- labels
- events
- milestones
- notes
- snippets
- hooks
- protected_branches
- protected_tags
- project_members
- project_repository
- users
- requesters
- deploy_keys_projects
- deploy_keys
- users_star_projects
- starrers
- releases
- lfs_objects_projects
- lfs_objects
- project_group_links
- invited_groups
- todos
- notification_settings
- import_data
- commit_statuses
- ci_pipelines
- all_pipelines
- stages
- builds
- runner_projects
- runners
- variables
- triggers
- pipeline_schedules
- environments
- deployments
- project_feature
- auto_devops
- pages_domains
- authorized_users
- project_authorizations
- remote_mirrors
- route
- redirect_routes
- statistics
- container_repositories
- uploads
- file_uploads
- import_state
- members_and_requesters
- build_trace_section_names
- build_trace_chunks
- job_artifacts
- root_of_fork_network
- fork_network_member
- fork_network
- custom_attributes
- lfs_file_locks
- project_badges
- source_of_merge_requests
- internal_ids
- project_deploy_tokens
- deploy_tokens
- settings
- ci_cd_settings
- import_export_upload
- repository_languages
- pool_repository
- kubernetes_namespaces
- error_tracking_setting
- metrics_setting
- gitlab_slack_application_service
- github_service
- protected_environments
- mirror_user
- push_rule
- jenkins_service
- jenkins_deprecated_service
- index_status
- feature_usage
- approval_rules
- approval_merge_request_rules
- approvers
- approver_users
- pages_domains
- audit_events
- path_locks
- approver_groups
- repository_state
- source_pipelines
- sourced_pipelines
- prometheus_metrics
- vulnerabilities
- vulnerability_findings
- vulnerability_feedback
- vulnerability_identifiers
- vulnerability_scanners
- operations_feature_flags
- operations_feature_flags_client
- prometheus_alerts
- prometheus_alert_events
- self_managed_prometheus_alert_events
- software_license_policies
- project_registry
- packages
- package_files
- tracing_setting
- alerting_setting
- webide_pipelines
- reviews
- incident_management_setting
- merge_trains
- designs
- project_aliases
- external_pull_requests
- pages_metadatum
- alerts_service
- grafana_integration
- remove_source_branch_after_merge
award_emoji:
- awardable
- user
priorities:
- label
prometheus_metrics:
- project
- prometheus_alerts
timelogs:
- issue
- merge_request
- user
push_event_payload:
- event
issue_assignees:
- issue
- assignee
merge_request_assignees:
- merge_request
- assignee
lfs_file_locks:
- user
project_badges:
- project
metrics:
- merge_request
- latest_closed_by
- merged_by
- pipeline
resource_label_events:
- user
- issue
- merge_request
- epic
- label
error_tracking_setting:
- project
suggestions:
- note
metrics_setting:
- project
protected_environments:
- project
- deploy_access_levels
deploy_access_levels:
- protected_environment
- user
- group
unprotect_access_levels:
- user
- protected_branch
- group
prometheus_alerts:
- project
- prometheus_alert_events
prometheus_alert_events:
- project
self_managed_prometheus_alert_events:
- project
epic_issues:
- issue
- epic
tracing_setting:
- project
reviews:
- project
- merge_request
- author
- notes
incident_management_setting:
- project
merge_trains:
- project
- merge_request
boards:
- group
- lists
- destroyable_lists
- milestone
- board_labels
- board_assignee
- assignee
- labels
lists:
- user
- milestone
- board
- label
- list_user_preferences
milestone_releases:
- milestone
- release
evidences:
- release
design: &design
- issue
- actions
- versions
- notes
designs: *design
actions:
- design
- version
versions: &version
- issue
- designs
- actions
design_versions: *version
